/**********************************/
/*HEADER*/
/**********************************/

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #111;
  height: 9.6rem;
  padding: 0 4.8rem;
  position: relative;
}

.logo {
  height: 6.2rem;
}

/**********************************/
/*NAVIGATION*/
/**********************************/

.main-nav-list {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 3.2rem;
  text-transform: uppercase;
}

.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  color: #ff0000;
  font-weight: 500;
  font-size: 1.8rem;
  transition: all 0.3s;
}

.main-nav-link:hover,
.main-nav-link:active {
  color: #ccc;
}

.main-nav-link.nav-cta:link,
.main-nav-link.nav-cta:visited {
  padding: 1.2rem 2.4rem;
  border-radius: 9px;
  color: #333;
  background-color: #ccc;
}

.main-nav-link.nav-cta:hover,
.main-nav-link.nav-cta:active {
  background-color: #111;
  color: red;
  box-shadow: 0rem 0rem 5rem rgba(255, 0, 0, 0.8);
}

.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;
  display: none;
}

.icon-mobile-nav {
  height: 4.8rem;
  width: 4.8rem;
  color: #ccc;
}

.icon-mobile-nav[name="close-outline"] {
  display: none;
}

/* STICKY NAVIGATION */

.sticky .header {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 8rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 999;
  box-shadow: 0 1.2rem 4.4rem rgba(255, 0, 0, 0.35);
}

.sticky .section-game {
  margin-top: 9.6rem;
}

/**********************************/
/*HERO SECTION*/
/**********************************/

.section-hero {
  background-color: #111;
  position: relative;
  height: 96rem; /* Full viewport height */
  display: grid; /* Enable Flexbox on the section */
  align-items: center; /* Vertically center the content */
  justify-content: center; /* Horizontally center the content */
  overflow: hidden; /* Avoid overflow issues */
}
.heading-primary {
  font-size: 9.6rem;
}

.hero {
  position: relative;
  z-index: 2;
  margin: 0 auto;
  padding: 0 3.2rem;
  gap: 9.6rem;
  align-items: center;
}

.hero-text-box {
  color: white;
  padding: 0 auto; /* Optional: control text box width */
}

.hero-description {
  text-transform: uppercase;
  text-align: center;
  padding: 0rem 13rem 0rem 13rem;
  font-size: 3.2rem;
  line-height: 1.6;
  color: #ccc;
  text-shadow: -1px -1px 0 #000, /* red outline */ 1px -1px 0 #000,
    -1px 1px 0 #000, 1px 1px 0 #000, 0px 0px 1px #000;
}

.background-video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 1;
}

/**********************************/
/*SLIDESHOW SECTION*/
/**********************************/
.section-slideshow {
  position: relative;
  padding: 4.8rem 0 10.2rem 0;
  overflow: hidden;
  align-items: center;
  justify-content: center;
  background-image: linear-gradient(to bottom, #111, #888);
}

.game-text-slot {
  padding: 0 2rem 0 2rem;
}

.game-description {
  text-align: justify;
  font-size: 2.4rem;
  line-height: 1.2;
  margin-bottom: 2.2rem;
  color: #fff;
}

.slideshow-container {
  position: relative;
  max-width: 100%;
  margin: auto;
  margin-bottom: 1.2rem;
  border-radius: 100px;
  box-shadow: 0rem 0rem 10rem rgba(255, 0, 0, 0.8);
  overflow: hidden;
}

.slide {
  display: none;
}

.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
}

@-webkit-keyframes fade {
  from {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}

@keyframes fade {
  from {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}

/* Style the navigation buttons */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -22px;
  color: #ff0000;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/**********************************/
/*FEATURES SECTION*/
/**********************************/

.feature-section {
  padding: 6.4rem 0 6.4rem 0;
  background-image: linear-gradient(to bottom, #888, #444);
}

.features-list {
  padding: 0 2.6rem 0 2.6rem;
  color: #fff;
}
/**************************/
/* FOOTER */
/**************************/

.footer {
  background-color: #111;
  padding: 12.8rem 0;
  border-top: 2px solid #ff0000;
}

.grid--footer {
  grid-template-columns: 1fr 1fr;
}

.logo-col {
  display: flex;
  flex-direction: column;
}

.footer-logo {
  display: block;
  margin-bottom: 3.2rem;
  height: 8rem;
}

.social-links {
  padding: 0 1.4rem;
  list-style: none;
  display: flex;
  gap: 2.4rem;
}

.social-icon {
  color: #cc0000;
  height: 3.2rem;
  width: 3.2rem;
}

.copyright {
  font-size: 1.4rem;
  line-height: 1.6;
  color: #ff0000;
  margin-top: auto;
}

.footer-heading {
  font-size: 1.8rem;
  font-weight: 500;
  margin-bottom: 4rem;
}

.contacts {
  font-style: normal;
  font-size: 1.6rem;
  line-height: 1.6;
}

.address {
  margin-bottom: 2.4rem;
}

.footer-nav {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
}

.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  font-size: 1.6rem;
  color: #ff0000;
  transition: all 0.3s;
}

.footer-link:hover,
.footer-link:active {
  color: #ff0000;
}
